RandomByteInputStream (Hyperic HQ Plugin API)
Keywords: org.hyperic.util.RandomByteInputStream class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.util
Class RandomByteInputStream

    java.lang.Object
      java.io.InputStream
          org.hyperic.util.RandomByteInputStream

All Implemented Interfaces:
  java.io.Closeable

    public class RandomByteInputStream

extends java.io.InputStream

A `RandomByteInputStream` supplies random bytes corresponding to the ascii character range that may be read from the stream. It has an associated size and maintains an internal counter to test whether the end of the stream is reached during a `read` operation.

Closing a `RandomByteInputStream` has no effect. The methods in this class can be called after the stream has been closed without generating an `IOException`.

Field Summary
`protected int` | `count` The number of bytes that can be read from this input stream.
`protected int` | `pos` The index of the next character to read from the input stream buffer.
`protected char` | `random` The random char that will be used to fill up this InputStream

Constructor Summary
`RandomByteInputStream(int length)` Creates a `RandomByteInputStream` of the specified `length`.

Method Summary
`int` | `available()` Returns the number of bytes that can be read from this input stream without blocking.
`void` | `close()` Closing a `RandomByteInputStream` has no effect.
`void` | `mark(int readAheadLimit)` The `mark` method of `RandomByteInputStream` always throws an `UnsupportedOperationException`.
`boolean` | `markSupported()` Tests if this `InputStream` supports mark/reset.
`int` | `read()` Reads the next byte of data from this input stream.
`int` | `read(byte[] b, int off, int len)` Reads up to `len` bytes of data into an array of bytes from this input stream.
`void` | `reset()` The `reset` method of `RandomByteInputStream` always throws an `UnsupportedOperationException`.
`long` | `skip(long n)` Skips `n` bytes of input from this input stream.

Methods inherited from class java.io.InputStream
`read`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### pos

    protected int pos

  The index of the next character to read from the input stream buffer. This value should always be nonnegative and not larger than the value of `count`.

### count

    protected int count

  The number of bytes that can be read from this input stream.

### random

    protected char random

  The random char that will be used to fill up this InputStream

Constructor Detail

### RandomByteInputStream

    public RandomByteInputStream(int length)

  Creates a `RandomByteInputStream` of the specified `length`.

  Parameters:
    `length` - the number of bytes available from this input stream.

Method Detail

### read

    public int read()

  Reads the next byte of data from this input stream. The value byte is returned as an `int` in the range `0` to `255`. If no byte is available because the end of the stream has been reached, the value `-1` is returned.

  This `read` method cannot block.

  Specified by:
    `read` in class `java.io.InputStream`
  Returns:
    the next byte of data, or `-1` if the end of the stream has been reached.

### read

    public int read(byte[] b,
                    int off,
                    int len)

  Reads up to `len` bytes of data into an array of bytes from this input stream. If `pos` equals `count`, then `-1` is returned to indicate end of file. Otherwise, the number `k` of bytes read is equal to the smaller of `len` and `count-pos`. If `k` is positive, then k bytes are copied into `b[off]` through `b[off+k-1]` in the manner performed by `System.arraycopy`. The value `k` is added into `pos` and `k` is returned.

  This `read` method cannot block.

  Overrides:
    `read` in class `java.io.InputStream`
  Parameters:
    `b` - the buffer into which the data is read.
    `off` - the start offset of the data.
    `len` - the maximum number of bytes read.
  Returns:
    the total number of bytes read into the buffer, or `-1` if there is no more data because the end of the stream has been reached.

### skip

    public long skip(long n)

  Skips `n` bytes of input from this input stream. Fewer bytes might be skipped if the end of the input stream is reached. The actual number `k` of bytes to be skipped is equal to the smaller of `n` and `count-pos`. The value `k` is added into `pos` and `k` is returned.

  Overrides:
    `skip` in class `java.io.InputStream`
  Parameters:
    `n` - the number of bytes to be skipped.
  Returns:
    the actual number of bytes skipped.

### available

    public int available()

  Returns the number of bytes that can be read from this input stream without blocking. The value returned is `count - pos`, which is the number of bytes remaining to be read from the input buffer.

  Overrides:
    `available` in class `java.io.InputStream`
  Returns:
    the number of bytes that can be read from the input stream without blocking.

### markSupported

    public boolean markSupported()

  Tests if this `InputStream` supports mark/reset. The `markSupported` method of `RandomByteInputStream` always returns `false`.

  Overrides:
    `markSupported` in class `java.io.InputStream`

### mark

    public void mark(int readAheadLimit)

  The `mark` method of `RandomByteInputStream` always throws an `UnsupportedOperationException`.

  Overrides:
    `mark` in class `java.io.InputStream`

### reset

    public void reset()

  The `reset` method of `RandomByteInputStream` always throws an `UnsupportedOperationException`.

  Overrides:
    `reset` in class `java.io.InputStream`

### close

    public void close()
               throws java.io.IOException

  Closing a `RandomByteInputStream` has no effect. The methods in this class can be called after the stream has been closed without generating an `IOException`.

  Specified by:
    `close` in interface `java.io.Closeable`
  Overrides:
    `close` in class `java.io.InputStream`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.